org.eclnt.jsfserver.elements.adapter

## Class ComponentAdapterBindingMap

- java.lang.Object
- - org.eclnt.jsfserver.elements.adapter.ComponentAdapterBindingBase
  - - org.eclnt.jsfserver.elements.adapter.ComponentAdapterBindingMap

- All Implemented Interfaces:
    java.io.Serializable, IComponentAdapterBinding

      public class ComponentAdapterBindingMap
      extends ComponentAdapterBindingBase

  Implementation of `IComponentAdapterBinding` in which the attribute values are managed within a map of objects.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentAdapterBindingMap(java.lang.String[] fixPropertyNames, java.lang.String[] dynamicPropertyNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttributeValue(java.lang.String propertyName)` Get the attribute value for an attribute.
    `void` | `setAttributeValue(java.lang.String propertyName, java.lang.Object value)` Set the attribute value.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.adapter.ComponentAdapterBindingBase

      `addActionListener, getAttibuteType, getDynamicAttributeNames, getFixAttributeNames, onAction, removeActionListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentAdapterBindingMap

          public ComponentAdapterBindingMap(java.lang.String[] fixPropertyNames,
                                            java.lang.String[] dynamicPropertyNames)

  - ### Method Detail

    - #### getAttributeValue

          public java.lang.Object getAttributeValue(java.lang.String propertyName)

      Description copied from interface: `IComponentAdapterBinding`
      Get the attribute value for an attribute.

    - #### setAttributeValue

          public void setAttributeValue(java.lang.String propertyName,
                                        java.lang.Object value)

      Description copied from interface: `IComponentAdapterBinding`
      Set the attribute value. This only needs to be implemented for these attributes that are actually set (e.g. in case of a FIELD component only the attribute that manages the TEXT attribute needs to implement the corresponding reaction).

Copyright © CaptainCasa Gmbh. All Rights Reserved.